package com.eitc.modules.devtools.service;


import com.eitc.common.page.PageData;
import com.eitc.common.service.BaseService;
import com.eitc.modules.devtools.entity.TemplateEntity;

import java.util.List;
import java.util.Map;

/**
 * 模板管理
 *
 * @author Mark eitc@163.com
 */
public interface TemplateService extends BaseService<TemplateEntity> {

    PageData<TemplateEntity> page(Map<String, Object> params);

    List<TemplateEntity> list();

    void updateStatusBatch(Long[] ids, int status);

}